Bug 1000137 - (CVE-2013-2894) CVE-2013-2894 Kernel: HID: lenovo-tpkbd: heap overflow flaw
CVE-2013-2894 Kernel: HID: lenovo-tpkbd: heap overflow flaw
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 1000140 1000141 1000142 1002579
Blocks: 1000129
  Show dependency treegraph
 
Reported: 2013-08-22 15:24 EDT by Prasad J Pandit
Modified: 2015-10-15 13:57 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 05:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-08-22 15:24:59 EDT
Linux kernel built with the Human Interface Device support(CONFIG_HID), along
with the Lenovo ThinkPad USB Keyboard with TrackPoint(CONFIG_HID_LENOVO_TPKBD)
driver is vulnerable to a heap overflow flaw. It could occur when an HID device
sends malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS or potential privilege escalation to gain root
access via arbitrary code execution.
Comment 1 Prasad J Pandit 2013-08-22 15:30:14 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Note: user would need physical access to a system to exploit this flaw.
Comment 5 Prasad J Pandit 2013-08-29 09:22:25 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002579]
Comment 7 Fedora Update System 2013-09-12 21:04:54 EDT
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-15 20:26:50 EDT
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.